#include <QtGui/QApplication>
#include "MainWindow.h"
/* this code runs the basic main window and is created by the Qt Creator app */
int main(int argc, char *argv[])
{
	// make an instance of the QApplication
	QApplication a(argc, argv);

	// grab an instance of the OpenGL Format class
	QGLFormat glFormat = QGLFormat::defaultFormat();
	// enable the SampleBuffer to allow for multisample
	glFormat.setSampleBuffers(true);
	// set the number of Samples per pixel
	glFormat.setSamples(4);
	// now set this as the default for all OpenGL windows created
	QGLFormat::setDefaultFormat(glFormat);

	// Create a new MainWindow
	MainWindow w;
	// show it
	w.show();
	// hand control over to Qt framework
	return a.exec();
}
