#version 120

/// @brief projection matrix passed in from camera class in main app
uniform mat4 projectionMatrix;
/// @brief View transform matrix passed in from camera class in main app
uniform mat4 ViewMatrix;
/// @brief Model transform matrix passed in from Transform Class in main app
uniform mat4 ModelMatrix;

attribute vec3 inVert;
attribute vec2 inUV;
attribute vec3 inNormal;

varying vec2 vertUV;
varying vec3 normal;

void main()
{
 // pre-calculate for speed we will use this a lot
 mat4 ModelView=ViewMatrix*ModelMatrix;

 // calculate the vertex position
 gl_Position = projectionMatrix*ModelView*vec4(inVert, 1.0);//gl_Vertex;
// vec4 st=vec4(inUV.x,inUV.y,0,1);
 vertUV=inUV.st;
 normal=inNormal;
}











